Subject: bug#48073: 27.2; [Eglot] Don't bind `completion-styles' buffer locally?

From: Augusto Stoffel <[email-masked]>
Date: Tue, 27 Apr 2021 21:20:17 +0200

Binding `completion-styles' buffer locally can lead to problems on
alternative completion UIs, say if the minibuffer is involved (this used
to happen with Consult's compeltion in region until recently).

It seems that a more appropriate way to override the completion style
would be to include a category in the completion table metadata, and add
a corresponding entry to `completion-category-defaults', which can be
done globally.